Bug 177615 - No video from Logitech webcam. /dev/video output problem.
No video from Logitech webcam. /dev/video output problem.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 177614 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-12 06:56 EST by Tomas Kouba
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 08:55:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Kouba 2006-01-12 06:56:27 EST
From Bugzilla Helper:
User-Agent: Opera/8.51 (X11; Linux i686; U; en)

Description of problem:
Logitech quickcam pro 4000 webcam is plugged in, driver is loaded:

usbcore: registered new driver Philips webcam

but the output from /dev/video0 does not change ever:

# dd if=/dev/video0 bs=1 | hexdump
0000000 8080 8080 8080 8080 8080 8080 8080 8080
*

In gnomemeeting this is shown as a grey input.

The webcam works fine in kernel 2.6.10-1.771_FC2smp (the input from /dev/video0 
is a lot of various hexadecimal numbers).

Version-Release number of selected component (if applicable):
kernel: 2.6.14-1.1656_FC4smp

How reproducible:
Always

Steps to Reproduce:
1. Plug in the camera.
2. Run gnomemeeing and select video input.
  

Actual Results:  gnomemeeing shows only grey area.

Expected Results:  gnomemeeting shouls show input from the camera.

Additional info:
Comment 1 Tomas Kouba 2006-01-12 06:58:13 EST
the same behaviour on colleague's webcam:

Logitech QuickCam Notebook Pro USB webcam detected.                              
Bus 002 Device 002: ID 046d:08b1 Logitech, Inc.                                  
idVendor 0x046d Logitech, Inc. idProduct 0x08b1
Comment 2 Ignacio Vazquez-Abrams 2006-01-12 06:59:49 EST
*** Bug 177614 has been marked as a duplicate of this bug. ***
Comment 3 Tomas Kouba 2006-01-15 08:22:51 EST
New version of pwc driver seems to work ok.
http://www.saillard.org/linux/pwc/
Comment 4 Dave Jones 2006-02-03 01:03:10 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-05 08:55:36 EDT
Closing per previous comment.
Sounds like that kernel updates will eventually fix it, as a later
driver version works which should get into upstream.

Note You need to log in before you can comment on or make changes to this bug.